javax.faces.component.html

## Class HtmlPanelGrid

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - javax.faces.component.html.HtmlPanelGrid

- All Implemented Interfaces:
    EventListener, ClientBehaviorHolder, PartialStateHolder, StateHolder, TransientStateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

      public class HtmlPanelGrid
      extends UIPanel
      implements ClientBehaviorHolder

  Renders child components in a table, starting a new row after the specified number of columns.

  By default, the `rendererType` property must be set to "`javax.faces.Grid`". This value can be changed by calling the `setRendererType()` method.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlPanelGrid.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE` The standard component type for this component.

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPanelGrid()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBgcolor()` Return the value of the `bgcolor` property.
    `String` | `getBodyrows()` Return the value of the `bodyrows` property.
    `int` | `getBorder()` Return the value of the `border` property.
    `String` | `getCaptionClass()` Return the value of the `captionClass` property.
    `String` | `getCaptionStyle()` Return the value of the `captionStyle` property.
    `String` | `getCellpadding()` Return the value of the `cellpadding` property.
    `String` | `getCellspacing()` Return the value of the `cellspacing` property.
    `String` | `getColumnClasses()` Return the value of the `columnClasses` property.
    `int` | `getColumns()` Return the value of the `columns` property.
    `String` | `getDefaultEventName()` This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`.
    `String` | `getDir()` Return the value of the `dir` property.
    `Collection<String>` | `getEventNames()` This is a default implementation of `ClientBehaviorHolder.getEventNames()`.
    `String` | `getFooterClass()` Return the value of the `footerClass` property.
    `String` | `getFrame()` Return the value of the `frame` property.
    `String` | `getHeaderClass()` Return the value of the `headerClass` property.
    `String` | `getLang()` Return the value of the `lang` property.
    `String` | `getOnclick()` Return the value of the `onclick` property.
    `String` | `getOndblclick()` Return the value of the `ondblclick` property.
    `String` | `getOnkeydown()` Return the value of the `onkeydown` property.
    `String` | `getOnkeypress()` Return the value of the `onkeypress` property.
    `String` | `getOnkeyup()` Return the value of the `onkeyup` property.
    `String` | `getOnmousedown()` Return the value of the `onmousedown` property.
    `String` | `getOnmousemove()` Return the value of the `onmousemove` property.
    `String` | `getOnmouseout()` Return the value of the `onmouseout` property.
    `String` | `getOnmouseover()` Return the value of the `onmouseover` property.
    `String` | `getOnmouseup()` Return the value of the `onmouseup` property.
    `String` | `getRole()` Return the value of the `role` property.
    `String` | `getRowClasses()` Return the value of the `rowClasses` property.
    `String` | `getRules()` Return the value of the `rules` property.
    `String` | `getStyle()` Return the value of the `style` property.
    `String` | `getStyleClass()` Return the value of the `styleClass` property.
    `String` | `getSummary()` Return the value of the `summary` property.
    `String` | `getTitle()` Return the value of the `title` property.
    `String` | `getWidth()` Return the value of the `width` property.
    `void` | `setBgcolor(String bgcolor)` Set the value of the `bgcolor` property.
    `void` | `setBodyrows(String bodyrows)` Set the value of the `bodyrows` property.
    `void` | `setBorder(int border)` Set the value of the `border` property.
    `void` | `setCaptionClass(String captionClass)` Set the value of the `captionClass` property.
    `void` | `setCaptionStyle(String captionStyle)` Set the value of the `captionStyle` property.
    `void` | `setCellpadding(String cellpadding)` Set the value of the `cellpadding` property.
    `void` | `setCellspacing(String cellspacing)` Set the value of the `cellspacing` property.
    `void` | `setColumnClasses(String columnClasses)` Set the value of the `columnClasses` property.
    `void` | `setColumns(int columns)` Set the value of the `columns` property.
    `void` | `setDir(String dir)` Set the value of the `dir` property.
    `void` | `setFooterClass(String footerClass)` Set the value of the `footerClass` property.
    `void` | `setFrame(String frame)` Set the value of the `frame` property.
    `void` | `setHeaderClass(String headerClass)` Set the value of the `headerClass` property.
    `void` | `setLang(String lang)` Set the value of the `lang` property.
    `void` | `setOnclick(String onclick)` Set the value of the `onclick` property.
    `void` | `setOndblclick(String ondblclick)` Set the value of the `ondblclick` property.
    `void` | `setOnkeydown(String onkeydown)` Set the value of the `onkeydown` property.
    `void` | `setOnkeypress(String onkeypress)` Set the value of the `onkeypress` property.
    `void` | `setOnkeyup(String onkeyup)` Set the value of the `onkeyup` property.
    `void` | `setOnmousedown(String onmousedown)` Set the value of the `onmousedown` property.
    `void` | `setOnmousemove(String onmousemove)` Set the value of the `onmousemove` property.
    `void` | `setOnmouseout(String onmouseout)` Set the value of the `onmouseout` property.
    `void` | `setOnmouseover(String onmouseover)` Set the value of the `onmouseover` property.
    `void` | `setOnmouseup(String onmouseup)` Set the value of the `onmouseup` property.
    `void` | `setRole(String role)` Set the value of the `role` property.
    `void` | `setRowClasses(String rowClasses)` Set the value of the `rowClasses` property.
    `void` | `setRules(String rules)` Set the value of the `rules` property.
    `void` | `setStyle(String style)` Set the value of the `style` property.
    `void` | `setStyleClass(String styleClass)` Set the value of the `styleClass` property.
    `void` | `setSummary(String summary)` Set the value of the `summary` property.
    `void` | `setTitle(String title)` Set the value of the `title` property.
    `void` | `setWidth(String width)` Set the value of the `width` property.

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      The standard component type for this component.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlPanelGrid

          public HtmlPanelGrid()

  - ### Method Detail

    - #### getBgcolor

          public String getBgcolor()

      Return the value of the `bgcolor` property.

      Contents: Name or code of the background color for this table.

    - #### setBgcolor

          public void setBgcolor(String bgcolor)

      Set the value of the `bgcolor` property.

    - #### getBodyrows

          public String getBodyrows()

      Return the value of the `bodyrows` property.

      Contents: Comma separated list of row indices for which a new "tbody" element should be started (and any previously opened one should be ended).

    - #### setBodyrows

          public void setBodyrows(String bodyrows)

      Set the value of the `bodyrows` property.

    - #### getBorder

          public int getBorder()

      Return the value of the `border` property.

      Contents: Width (in pixels) of the border to be drawn around this table.

    - #### setBorder

          public void setBorder(int border)

      Set the value of the `border` property.

    - #### getCaptionClass

          public String getCaptionClass()

      Return the value of the `captionClass` property.

      Contents: Space-separated list of CSS style class(es) that will be applied to any caption generated for this table.

    - #### setCaptionClass

          public void setCaptionClass(String captionClass)

      Set the value of the `captionClass` property.

    - #### getCaptionStyle

          public String getCaptionStyle()

      Return the value of the `captionStyle` property.

      Contents: CSS style(s) to be applied when this caption is rendered.

    - #### setCaptionStyle

          public void setCaptionStyle(String captionStyle)

      Set the value of the `captionStyle` property.

    - #### getCellpadding

          public String getCellpadding()

      Return the value of the `cellpadding` property.

      Contents: Definition of how much space the user agent should leave between the border of each cell and its contents.

    - #### setCellpadding

          public void setCellpadding(String cellpadding)

      Set the value of the `cellpadding` property.

    - #### getCellspacing

          public String getCellspacing()

      Return the value of the `cellspacing` property.

      Contents: Definition of how much space the user agent should leave between the left side of the table and the leftmost column, the top of the table and the top of the top side of the topmost row, and so on for the right and bottom of the table. It also specifies the amount of space to leave between cells.

    - #### setCellspacing

          public void setCellspacing(String cellspacing)

      Set the value of the `cellspacing` property.

    - #### getColumnClasses

          public String getColumnClasses()

      Return the value of the `columnClasses` property.

      Contents: Comma-delimited list of CSS style classes that will be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of actual column children of the UIData, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of actual column children of the UIData, the elements at the posisiton in the list after the last column are ignored.

    - #### setColumnClasses

          public void setColumnClasses(String columnClasses)

      Set the value of the `columnClasses` property.

    - #### getColumns

          public int getColumns()

      Return the value of the `columns` property.

      Contents: The number of columns to render before starting a new row.

    - #### setColumns

          public void setColumns(int columns)

      Set the value of the `columns` property.

    - #### getDir

          public String getDir()

      Return the value of the `dir` property.

      Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left). These attributes are case sensitive when rendering to XHTML, so care must be taken to have the correct case.

    - #### setDir

          public void setDir(String dir)

      Set the value of the `dir` property.

    - #### getFooterClass

          public String getFooterClass()

      Return the value of the `footerClass` property.

      Contents: Space-separated list of CSS style class(es) that will be applied to any footer generated for this table.

    - #### setFooterClass

          public void setFooterClass(String footerClass)

      Set the value of the `footerClass` property.

    - #### getFrame

          public String getFrame()

      Return the value of the `frame` property.

      Contents: Code specifying which sides of the frame surrounding this table will be visible. Valid values are: none (no sides, default value); above (top side only); below (bottom side only); hsides (top and bottom sides only); vsides (right and left sides only); lhs (left hand side only); rhs (right hand side only); box (all four sides); and border (all four sides).

    - #### setFrame

          public void setFrame(String frame)

      Set the value of the `frame` property.

    - #### getHeaderClass

          public String getHeaderClass()

      Return the value of the `headerClass` property.

      Contents: Space-separated list of CSS style class(es) that will be applied to any header generated for this table.

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

      Set the value of the `headerClass` property.

    - #### getLang

          public String getLang()

      Return the value of the `lang` property.

      Contents: Code describing the language used in the generated markup for this component.

    - #### setLang

          public void setLang(String lang)

      Set the value of the `lang` property.

    - #### getOnclick

          public String getOnclick()

      Return the value of the `onclick` property.

      Contents: Javascript code executed when a pointer button is clicked over this element.

    - #### setOnclick

          public void setOnclick(String onclick)

      Set the value of the `onclick` property.

    - #### getOndblclick

          public String getOndblclick()

      Return the value of the `ondblclick` property.

      Contents: Javascript code executed when a pointer button is double clicked over this element.

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

      Set the value of the `ondblclick` property.

    - #### getOnkeydown

          public String getOnkeydown()

      Return the value of the `onkeydown` property.

      Contents: Javascript code executed when a key is pressed down over this element.

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

      Set the value of the `onkeydown` property.

    - #### getOnkeypress

          public String getOnkeypress()

      Return the value of the `onkeypress` property.

      Contents: Javascript code executed when a key is pressed and released over this element.

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

      Set the value of the `onkeypress` property.

    - #### getOnkeyup

          public String getOnkeyup()

      Return the value of the `onkeyup` property.

      Contents: Javascript code executed when a key is released over this element.

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

      Set the value of the `onkeyup` property.

    - #### getOnmousedown

          public String getOnmousedown()

      Return the value of the `onmousedown` property.

      Contents: Javascript code executed when a pointer button is pressed down over this element.

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

      Set the value of the `onmousedown` property.

    - #### getOnmousemove

          public String getOnmousemove()

      Return the value of the `onmousemove` property.

      Contents: Javascript code executed when a pointer button is moved within this element.

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

      Set the value of the `onmousemove` property.

    - #### getOnmouseout

          public String getOnmouseout()

      Return the value of the `onmouseout` property.

      Contents: Javascript code executed when a pointer button is moved away from this element.

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

      Set the value of the `onmouseout` property.

    - #### getOnmouseover

          public String getOnmouseover()

      Return the value of the `onmouseover` property.

      Contents: Javascript code executed when a pointer button is moved onto this element.

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

      Set the value of the `onmouseover` property.

    - #### getOnmouseup

          public String getOnmouseup()

      Return the value of the `onmouseup` property.

      Contents: Javascript code executed when a pointer button is released over this element.

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

      Set the value of the `onmouseup` property.

    - #### getRole

          public String getRole()

      Return the value of the `role` property.

      Contents:

      Per the WAI-ARIA spec and its relationship to HTML5 (Section title ARIA Role Attriubute), every HTML element may have a "role" attribute whose value must be passed through unmodified on the element on which it is declared in the final rendered markup. The attribute, if specified, must have a value that is a string literal that is, or an EL Expression that evaluates to, a set of space-separated tokens representing the various WAI-ARIA roles that the element belongs to.

      It is the page author's responsibility to ensure that the user agent is capable of correctly interpreting the value of this attribute.

    - #### setRole

          public void setRole(String role)

      Set the value of the `role` property.

    - #### getRowClasses

          public String getRowClasses()

      Return the value of the `rowClasses` property.

      Contents: Comma-delimited list of CSS style classes that will be applied to the rows of this table. A space separated list of classes may also be specified for any individual row. Thes styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again.

    - #### setRowClasses

          public void setRowClasses(String rowClasses)

      Set the value of the `rowClasses` property.

    - #### getRules

          public String getRules()

      Return the value of the `rules` property.

      Contents: Code specifying which rules will appear between cells within this table. Valid values are: none (no rules, default value); groups (between row groups); rows (between rows only); cols (between columns only); and all (between all rows and columns).

    - #### setRules

          public void setRules(String rules)

      Set the value of the `rules` property.

    - #### getStyle

          public String getStyle()

      Return the value of the `style` property.

      Contents: CSS style(s) to be applied when this component is rendered.

    - #### setStyle

          public void setStyle(String style)

      Set the value of the `style` property.

    - #### getStyleClass

          public String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

    - #### setStyleClass

          public void setStyleClass(String styleClass)

      Set the value of the `styleClass` property.

    - #### getSummary

          public String getSummary()

      Return the value of the `summary` property.

      Contents: Summary of this table's purpose and structure, for user agents rendering to non-visual media such as speech and Braille.

    - #### setSummary

          public void setSummary(String summary)

      Set the value of the `summary` property.

    - #### getTitle

          public String getTitle()

      Return the value of the `title` property.

      Contents: Advisory title information about markup elements generated for this component.

    - #### setTitle

          public void setTitle(String title)

      Set the value of the `title` property.

    - #### getWidth

          public String getWidth()

      Return the value of the `width` property.

      Contents: Width of the entire table, for visual user agents.

    - #### setWidth

          public void setWidth(String width)

      Set the value of the `width` property.

    - #### getEventNames

          public Collection<String> getEventNames()

      Description copied from class: `UIComponentBase`

      This is a default implementation of `ClientBehaviorHolder.getEventNames()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must override this method to return a non-Empty `Collection` of the client event names that the component supports.

      Specified by:
        `getEventNames` in interface `ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIComponentBase`

      This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must provide an implementation of `ClientBehaviorHolder.getEventNames()`.

      Specified by:
        `getDefaultEventName` in interface `ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIComponentBase`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.